<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSPY v5 rel. 4 U (http://www.xmlspy.com) by Neil Pullar (private) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gml="http://www.opengis.net/gml" xmlns:iso19103="http://www.isotc211.org/iso19103/" xmlns:iso19109="http://www.isotc211.org/iso19109/" xmlns:iso19115="http://www.isotc211.org/iso19115/" xmlns:iso19118="http://www.isotc211.org/iso19118/" xmlns:iso4217="http://www.isotc211.org/iso4217/" xmlns:iso639-2="http://www.isotc211.org/iso639-2/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:template match="/">
		<html>
			<head/>
			<body>
				<a>
					<xsl:attribute name="name"><xsl:text disable-output-escaping="yes">Top</xsl:text></xsl:attribute>
				</a>
				<xsl:for-each select="iso19118:GI">
					<xsl:for-each select="dataset">
						<xsl:for-each select="MD_Metadata">
							<br/>
							<xsl:for-each select="iso19115:MD_Identification">
								<xsl:for-each select="citation">
									<xsl:for-each select="title">
										<span style="color:green; font-family:Arial; font-size:14 pt; font-weight:bolder; ">
											<xsl:apply-templates/>
										</span>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:for-each>
							<br/>
							<br/>
							<br/>
							<span style="color:green; font-family:Arial; font-size:12 pt; font-weight:bold; "> Metadata conforming to New Zealand Government Geospatial Metadata Profile:</span>
							<br/>
							<ul style="margin-bottom:0; margin-top:0; marginBottom:0; marginTop:0; ">
								<li style="text-indent:0.1 cm; ">
									<a>
										<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#Metadata Identification Module</xsl:text></xsl:attribute>
										<span style="color:green; font-family:Arial; font-size:10 pt; ">Metadata Identification Module</span>
									</a>
								</li>
								<li style="text-indent:0.1 cm; ">
									<a>
										<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#Resource Identification Module</xsl:text></xsl:attribute>
										<span style="color:green; font-family:Arial; font-size:10 pt; ">Resource Identification Module</span>
									</a>
								</li>
								<li style="text-indent:0.1 cm; ">
									<a>
										<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#Spatial and Extents Module</xsl:text></xsl:attribute>
										<span style="color:green; font-family:Arial; font-size:10 pt; ">Spatial and Extents Module</span>
									</a>
								</li>
								<li style="text-indent:0.1 cm; ">
									<a>
										<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#Data Characteristics Module</xsl:text></xsl:attribute>
										<span style="color:green; font-family:Arial; font-size:10 pt; ">Data Characteristics Module</span>
									</a>
								</li>
							</ul>
							<br/>
							<span style="border-bottom-style:double; font-family:Arial; font-size:8 pt; height:36 pt; ">The New Zealand Government Geospatial Metadata profile is a profile of ISO 19115 Geographic Information - Metadata standard.</span>
							<br/>
							<br/>
							<ul style="margin-bottom:0; margin-top:0; marginBottom:0; marginTop:0; "/>
							<ul style="margin-bottom:0; margin-top:0; marginBottom:0; marginTop:0; "/>
							<a>
								<xsl:attribute name="name"><xsl:text disable-output-escaping="yes">Metadata Identification Module</xsl:text></xsl:attribute>
								<span style="color:#FF8040; font-family:Arial; font-weight:bold; ">Metadata Identification Module</span>
							</a>
							<br/>
							<xsl:for-each select="iso19115:MD_Identification">
								<xsl:for-each select="citation">
									<xsl:for-each select="title">
										<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">
											<xsl:apply-templates/>
										</span>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:for-each>
							<span style="background-color:green; ">&#160;</span>
							<span style="background-color:green; color:#FF8040; ">(</span>
							<xsl:for-each select="iso19115:MD_Identification">
								<span style="background-color:green; color:#FF8040; ">
									<xsl:for-each select="citation">
										<xsl:for-each select="date">
											<xsl:for-each select="date">
												<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">
													<xsl:apply-templates/>
												</span>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:for-each>
								</span>
							</xsl:for-each>
							<span style="background-color:green; color:#FF8040; ">)</span>
							<br/>
							<br/>
							<table border="1" width="600">
								<tbody>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="200">
											<span style="color:green; font-weight:bold; ">Metadata File Identifier</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="300">
											<xsl:for-each select="fileIdentifier">
												<xsl:apply-templates/>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="200">
											<span style="color:green; font-weight:bold; ">Metadata Language</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="300">
											<xsl:for-each select="language">
												<xsl:apply-templates/>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="200">
											<span style="color:green; font-weight:bold; ">Metadata Character Set</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="300">
											<xsl:for-each select="characterSet">
												<xsl:apply-templates/>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="200">
											<span style="color:green; font-weight:bold; ">Parent Identifier</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="300">
											<xsl:for-each select="parentIdentifier">
												<xsl:apply-templates/>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " rowspan="4" width="200">
											<span style="color:green; font-weight:bold; ">Metadata Contact</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Organisation</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " rowspan="2" width="300">
											<xsl:for-each select="contact">
												<xsl:for-each select="organisationName">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " rowspan="2" width="100">
											<span style="color:green; font-weight:bold; ">Position</span>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="300">
											<xsl:for-each select="contact">
												<xsl:for-each select="positionName">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Role</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="300">
											<xsl:for-each select="contact">
												<xsl:for-each select="role">
													<xsl:for-each select="CI_RoleCode_CodeList">
														<xsl:apply-templates/>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="200">
											<span style="color:green; font-family:Arial; font-weight:bold; ">Metadata Date</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="300">
											<xsl:for-each select="dateStamp">
												<xsl:apply-templates/>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="200">
											<span style="color:green; font-weight:bold; ">Metadata Profile Name</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="300">
											<xsl:for-each select="metadataStandardName">
												<xsl:apply-templates/>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="200">
											<span style="color:green; font-weight:bold; ">Metadata Profile Version</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="300">
											<xsl:for-each select="metadataStandardVersion">
												<xsl:apply-templates/>
											</xsl:for-each>
										</td>
									</tr>
								</tbody>
							</table>
							<a>
								<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#Top</xsl:text></xsl:attribute>
								<span style="font-family:Arial; font-size:8 pt; ">(top)</span>
							</a>
							<br/>
							<a>
								<xsl:attribute name="name"><xsl:text disable-output-escaping="yes">Resource Identification Module</xsl:text></xsl:attribute>
								<span style="color:#FF8040; font-family:Arial; font-weight:bold; ">Resource Identification Module</span>
							</a>
							<br/>
							<xsl:for-each select="iso19115:MD_Identification">
								<xsl:for-each select="citation">
									<xsl:for-each select="title">
										<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">
											<xsl:apply-templates/>
										</span>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:for-each>
							<span style="background-color:green; ">&#160;</span>
							<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">(</span>
							<xsl:for-each select="iso19115:MD_Identification">
								<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">
									<xsl:for-each select="citation">
										<xsl:for-each select="date">
											<xsl:for-each select="date">
												<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">
													<xsl:apply-templates/>
												</span>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:for-each>
								</span>
							</xsl:for-each>
							<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">)</span>
							<br/>
							<br/>
							<table border="1" width="600">
								<tbody>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Citation</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="citation">
													<xsl:if test="position()=1">
														<table border="1">
															<tbody>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																		<span style="color:green; font-weight:bold; ">Title</span>
																	</td>
																	<xsl:for-each select="../citation">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="400">
																			<xsl:for-each select="title">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																		<span style="color:green; font-weight:bold; ">Date</span>
																	</td>
																	<xsl:for-each select="../citation">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="400">
																			<xsl:for-each select="date">
																				<xsl:for-each select="/">
																					<xsl:for-each select="iso19118:GI">
																						<xsl:for-each select="dataset">
																							<xsl:for-each select="MD_Metadata">
																								<xsl:for-each select="iso19115:MD_Identification">
																									<xsl:for-each select="citation">
																										<xsl:for-each select="date">
																											<xsl:if test="position()=1">
																												<table border="1">
																													<tbody>
																														<xsl:for-each select="../date">
																															<tr>
																																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="3" width="400">
																																	<xsl:for-each select="/">
																																		<xsl:for-each select="iso19118:GI">
																																			<xsl:for-each select="dataset">
																																				<xsl:for-each select="MD_Metadata">
																																					<xsl:for-each select="iso19115:MD_Identification">
																																						<xsl:for-each select="citation">
																																							<xsl:for-each select="date">
																																								<xsl:for-each select="date">
																																									<xsl:apply-templates/>
																																								</xsl:for-each>
																																							</xsl:for-each>
																																						</xsl:for-each>
																																					</xsl:for-each>
																																				</xsl:for-each>
																																			</xsl:for-each>
																																		</xsl:for-each>
																																	</xsl:for-each>(<xsl:for-each select="/">
																																		<xsl:for-each select="iso19118:GI">
																																			<xsl:for-each select="dataset">
																																				<xsl:for-each select="MD_Metadata">
																																					<xsl:for-each select="iso19115:MD_Identification">
																																						<xsl:for-each select="citation">
																																							<xsl:for-each select="date">
																																								<xsl:for-each select="dateType">
																																									<xsl:for-each select="CI_DateTypeCode_CodeList">
																																										<xsl:apply-templates/>
																																									</xsl:for-each>
																																								</xsl:for-each>
																																							</xsl:for-each>
																																						</xsl:for-each>
																																					</xsl:for-each>
																																				</xsl:for-each>
																																			</xsl:for-each>
																																		</xsl:for-each>
																																	</xsl:for-each>)</td>
																															</tr>
																														</xsl:for-each>
																													</tbody>
																												</table>
																											</xsl:if>
																										</xsl:for-each>
																									</xsl:for-each>
																								</xsl:for-each>
																							</xsl:for-each>
																						</xsl:for-each>
																					</xsl:for-each>
																				</xsl:for-each>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																		<span style="color:green; font-weight:bold; ">Edition</span>
																	</td>
																	<xsl:for-each select="../citation">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="400">
																			<xsl:for-each select="edition">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																		<span style="color:green; font-weight:bold; ">Form of Presentation</span>
																	</td>
																	<xsl:for-each select="../citation">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="400">
																			<xsl:for-each select="presentationForm">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																		<span style="color:green; font-weight:bold; ">Responsible Organisation</span>
																	</td>
																	<xsl:for-each select="../citation">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="400">
																			<xsl:for-each select="iso19115:CI_ResponsibleParty">
																				<xsl:for-each select="organisationName">
																					<xsl:apply-templates/>
																				</xsl:for-each>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
															</tbody>
														</table>
													</xsl:if>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Abstract</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="abstract">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Purpose</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="purpose">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Audience</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="audience">
													<xsl:for-each select="NZ_Audience_CodeList">
														<xsl:apply-templates/>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Mandate</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="resourceNzMandate">
													<xsl:for-each select="reference">
														<xsl:apply-templates/>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each> (<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="resourceNzMandate">
													<xsl:for-each select="type">
														<xsl:for-each select="NZ_MandateTypeCode_CodeList">
															<xsl:apply-templates/>
														</xsl:for-each>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>&#160; mandate type)</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Status</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="status">
													<xsl:for-each select="MD_ProgressCode_CodeList">
														<xsl:apply-templates/>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" width="100">
											<span style="color:green; font-weight:bold; ">Point of Contact</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="pointOfContact">
													<xsl:if test="position()=1">
														<table border="1">
															<tbody>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																		<span style="color:green; font-weight:bold; ">Organisation</span>
																	</td>
																	<xsl:for-each select="../pointOfContact">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="499">
																			<xsl:for-each select="organisationName">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																		<span style="color:green; font-weight:bold; ">Position</span>
																	</td>
																	<xsl:for-each select="../pointOfContact">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="499">
																			<xsl:for-each select="positionName">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100"/>
																	<xsl:for-each select="../pointOfContact">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="499">
																			<xsl:for-each select="contactInfo">
																				<xsl:for-each select="/">
																					<xsl:for-each select="iso19118:GI">
																						<xsl:for-each select="dataset">
																							<xsl:for-each select="MD_Metadata">
																								<xsl:for-each select="iso19115:MD_Identification">
																									<xsl:for-each select="pointOfContact">
																										<xsl:for-each select="contactInfo">
																											<xsl:if test="position()=1">
																												<table border="1" table-layout="fixed">
																													<tbody>
																														<tr>
																															<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																																<span style="color:green; font-weight:bold; ">Phone</span>
																															</td>
																															<xsl:for-each select="../contactInfo">
																																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="350">
																																	<xsl:for-each select="phone">
																																		<xsl:for-each select="/">
																																			<xsl:for-each select="iso19118:GI">
																																				<xsl:for-each select="dataset">
																																					<xsl:for-each select="MD_Metadata">
																																						<xsl:for-each select="iso19115:MD_Identification">
																																							<xsl:for-each select="pointOfContact">
																																								<xsl:for-each select="contactInfo">
																																									<xsl:for-each select="phone">
																																										<xsl:if test="position()=1">
																																											<table border="0">
																																												<tbody>
																																													<tr>
																																														<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																																															<span style="color:green; font-weight:bold; ">Voice</span>
																																														</td>
																																														<xsl:for-each select="../phone">
																																															<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="250">
																																																<xsl:for-each select="voice">
																																																	<xsl:apply-templates/>
																																																</xsl:for-each>
																																															</td>
																																														</xsl:for-each>
																																													</tr>
																																													<tr>
																																														<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																																															<span style="color:green; font-weight:bold; ">Facsimile</span>
																																														</td>
																																														<xsl:for-each select="../phone">
																																															<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="250">
																																																<xsl:for-each select="facsimile">
																																																	<xsl:apply-templates/>
																																																</xsl:for-each>
																																															</td>
																																														</xsl:for-each>
																																													</tr>
																																												</tbody>
																																											</table>
																																										</xsl:if>
																																									</xsl:for-each>
																																								</xsl:for-each>
																																							</xsl:for-each>
																																						</xsl:for-each>
																																					</xsl:for-each>
																																				</xsl:for-each>
																																			</xsl:for-each>
																																		</xsl:for-each>
																																	</xsl:for-each>
																																</td>
																															</xsl:for-each>
																														</tr>
																														<tr>
																															<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																																<span style="color:green; font-weight:bold; ">Address</span>
																															</td>
																															<xsl:for-each select="../contactInfo">
																																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="350">
																																	<xsl:for-each select="address">
																																		<xsl:for-each select="/">
																																			<xsl:for-each select="iso19118:GI">
																																				<xsl:for-each select="dataset">
																																					<xsl:for-each select="MD_Metadata">
																																						<xsl:for-each select="/">
																																							<xsl:for-each select="iso19118:GI">
																																								<xsl:for-each select="dataset">
																																									<xsl:for-each select="MD_Metadata">
																																										<xsl:for-each select="iso19115:MD_Identification">
																																											<xsl:for-each select="pointOfContact">
																																												<xsl:for-each select="contactInfo">
																																													<xsl:for-each select="address">
																																														<xsl:if test="position()=1">
																																															<table border="0">
																																																<tbody>
																																																	<tr>
																																																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100"/>
																																																		<xsl:for-each select="../address">
																																																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="250">
																																																				<xsl:for-each select="deliveryPoint">
																																																					<xsl:apply-templates/>
																																																				</xsl:for-each>
																																																			</td>
																																																		</xsl:for-each>
																																																	</tr>
																																																	<tr>
																																																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100"/>
																																																		<xsl:for-each select="../address">
																																																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="250">
																																																				<xsl:for-each select="city">
																																																					<xsl:apply-templates/>
																																																				</xsl:for-each>
																																																			</td>
																																																		</xsl:for-each>
																																																	</tr>
																																																	<tr>
																																																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100"/>
																																																		<xsl:for-each select="../address">
																																																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="250">
																																																				<xsl:for-each select="country">
																																																					<xsl:apply-templates/>
																																																				</xsl:for-each>
																																																			</td>
																																																		</xsl:for-each>
																																																	</tr>
																																																	<tr>
																																																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																																																			<span style="color:green; font-weight:bold; ">Email</span>
																																																		</td>
																																																		<xsl:for-each select="../address">
																																																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="250">
																																																				<xsl:for-each select="electronicMailAddress">
																																																					<xsl:apply-templates/>
																																																				</xsl:for-each>
																																																			</td>
																																																		</xsl:for-each>
																																																	</tr>
																																																</tbody>
																																															</table>
																																														</xsl:if>
																																													</xsl:for-each>
																																												</xsl:for-each>
																																											</xsl:for-each>
																																										</xsl:for-each>
																																									</xsl:for-each>
																																								</xsl:for-each>
																																							</xsl:for-each>
																																						</xsl:for-each>
																																						<br/>
																																					</xsl:for-each>
																																				</xsl:for-each>
																																			</xsl:for-each>
																																		</xsl:for-each>
																																	</xsl:for-each>
																																</td>
																															</xsl:for-each>
																														</tr>
																														<tr>
																															<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																																<span style="color:green; font-weight:bold; ">Online</span>
																															</td>
																															<xsl:for-each select="../contactInfo">
																																<td style="display:inline; font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" width="350">
																																	<xsl:for-each select="/">
																																		<xsl:for-each select="iso19118:GI">
																																			<xsl:for-each select="dataset">
																																				<xsl:for-each select="MD_Metadata">
																																					<xsl:for-each select="iso19115:MD_Identification">
																																						<xsl:for-each select="pointOfContact">
																																							<xsl:for-each select="contactInfo">
																																								<xsl:for-each select="onlineResource">
																																									<xsl:for-each select="linkage">
																																										<xsl:apply-templates/>
																																									</xsl:for-each>
																																								</xsl:for-each>
																																							</xsl:for-each>
																																						</xsl:for-each>
																																					</xsl:for-each>
																																				</xsl:for-each>
																																			</xsl:for-each>
																																		</xsl:for-each>
																																	</xsl:for-each>
																																</td>
																															</xsl:for-each>
																														</tr>
																													</tbody>
																												</table>
																											</xsl:if>
																										</xsl:for-each>
																									</xsl:for-each>
																								</xsl:for-each>
																							</xsl:for-each>
																						</xsl:for-each>
																					</xsl:for-each>
																				</xsl:for-each>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																		<span style="color:green; font-weight:bold; ">Role</span>
																	</td>
																	<xsl:for-each select="../pointOfContact">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="499">
																			<xsl:for-each select="role">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
															</tbody>
														</table>
													</xsl:if>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Keyword</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="descriptiveKeywords">
													<xsl:if test="position()=1">
														<table border="1">
															<thead>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="250">
																		<span style="color:green; font-weight:bold; ">Keyword</span>
																	</td>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="149">
																		<span style="color:green; font-weight:bold; ">Thesaurus </span>
																	</td>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="101">
																		<span style="color:green; font-weight:bold; ">Thesaurus Type</span>
																	</td>
																</tr>
															</thead>
															<tbody>
																<xsl:for-each select="../descriptiveKeywords">
																	<tr>
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="250">
																			<xsl:for-each select="keyword">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</td>
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="149">
																			<xsl:for-each select="thesaurusName">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</td>
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="101">
																			<xsl:for-each select="type">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</td>
																	</tr>
																</xsl:for-each>
															</tbody>
														</table>
													</xsl:if>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" width="100">
											<span style="color:green; font-weight:bold; ">Type of Spatial Representation</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="spatialRepresentationType">
													<xsl:for-each select="MD_SpatialRepresentationTypeCode_CodeList">
														<p style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
															<xsl:apply-templates/>
														</p>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" width="100">
											<span style="color:green; font-weight:bold; ">Spatial Resolution</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="spatialResolution">
													<xsl:if test="position()=1">
														<table border="1">
															<tbody>
																<tr>
																	<xsl:for-each select="../spatialResolution">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="500">
																			<xsl:for-each select="equivalentScale">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
																<tr>
																	<xsl:for-each select="../spatialResolution">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="500">
																			<xsl:for-each select="distance">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
															</tbody>
														</table>
													</xsl:if>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Language</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="language">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" width="100">
											<span style="color:green; font-weight:bold; ">Character Set</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="characterSet">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Topic</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="topicCategory">
													<xsl:for-each select="MD_TopicCategoryCode_CodeList">
														<xsl:apply-templates/>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
								</tbody>
							</table>
							<a>
								<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#Top</xsl:text></xsl:attribute>
								<span style="font-family:Arial; font-size:8 pt; ">(top)</span>
							</a>
							<br/>
							<a>
								<xsl:attribute name="name"><xsl:text disable-output-escaping="yes">Spatial and Extents Module</xsl:text></xsl:attribute>
								<span style="color:#FF8040; font-family:Arial; font-weight:bold; ">Spatial and Extents Module</span>
							</a>
							<br/>
							<xsl:for-each select="iso19115:MD_Identification">
								<xsl:for-each select="citation">
									<xsl:for-each select="title">
										<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">
											<xsl:apply-templates/>
										</span>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:for-each>
							<span style="background-color:green; ">&#160;</span>
							<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">(</span>
							<xsl:for-each select="iso19115:MD_Identification">
								<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">
									<xsl:for-each select="citation">
										<xsl:for-each select="date">
											<xsl:for-each select="date">
												<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">
													<xsl:apply-templates/>
												</span>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:for-each>
								</span>
							</xsl:for-each>
							<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">)</span>
							<br/>
							<br/>
							<table border="1" table-layout="fixed" width="600">
								<tbody>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" rowspan="2" width="100">
											<span style="color:green; font-weight:bold; ">Spatial Reference System</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" colspan="8" width="150">
											<xsl:for-each select="referenceSystemInfo">
												<xsl:for-each select="referenceSystemIdentifier">
													<xsl:for-each select="rsID">
														<xsl:for-each select="code">
															<xsl:apply-templates/>
														</xsl:for-each>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
											<br/>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" colspan="8" width="150">
											<xsl:for-each select="referenceSystemInfo">
												<xsl:for-each select="referenceSystemIdentifier">
													<xsl:for-each select="nzRefSystem">
														<xsl:for-each select="NZ_ReferenceSystems_CodeList">
															<xsl:apply-templates/>
														</xsl:for-each>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" rowspan="2" width="100">
											<span style="color:green; font-weight:bold; ">Spatial Representation</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" colspan="6" width="200">
											<span style="color:green; font-weight:bold; ">Vector</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" colspan="2" width="150">
											<span style="color:green; font-weight:bold; ">Grid</span>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" colspan="6" width="200">
											<xsl:for-each select="iso19115:MD_SpatialRepresentation">
												<xsl:for-each select="topologyLevel">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" colspan="2" width="150">
											<xsl:for-each select="iso19115:MD_SpatialRepresentation">
												<xsl:if test="position()=1">
													<table border="1">
														<tbody>
															<tr>
																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																	<span style="color:green; font-weight:bold; ">Number of Dimensions</span>
																</td>
																<xsl:for-each select="../iso19115:MD_SpatialRepresentation">
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																		<xsl:for-each select="numberOfDimensions">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</td>
																</xsl:for-each>
															</tr>
															<tr>
																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center">
																	<span style="color:green; font-weight:bold; ">Axis Properties</span>
																</td>
																<xsl:for-each select="../iso19115:MD_SpatialRepresentation">
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																		<xsl:for-each select="axisDimensionProperties">
																			<xsl:for-each select="/">
																				<xsl:for-each select="iso19118:GI">
																					<xsl:for-each select="dataset">
																						<xsl:for-each select="MD_Metadata">
																							<xsl:for-each select="iso19115:MD_SpatialRepresentation">
																								<xsl:for-each select="axisDimensionProperties">
																									<xsl:if test="position()=1">
																										<table border="1">
																											<tbody>
																												<tr>
																													<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																														<span style="color:green; font-weight:bold; ">Name</span>
																													</td>
																													<xsl:for-each select="../axisDimensionProperties">
																														<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																															<xsl:for-each select="dimensionName">
																																<xsl:apply-templates/>
																															</xsl:for-each>
																														</td>
																													</xsl:for-each>
																												</tr>
																												<tr>
																													<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																														<span style="color:green; font-weight:bold; ">Size</span>
																													</td>
																													<xsl:for-each select="../axisDimensionProperties">
																														<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																															<xsl:for-each select="dimensionSize">
																																<xsl:apply-templates/>
																															</xsl:for-each>
																														</td>
																													</xsl:for-each>
																												</tr>
																												<tr>
																													<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																														<span style="color:green; font-weight:bold; ">Length</span>
																													</td>
																													<xsl:for-each select="../axisDimensionProperties">
																														<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																															<xsl:for-each select="iso19115:Length">
																																<xsl:apply-templates/>
																															</xsl:for-each>
																														</td>
																													</xsl:for-each>
																												</tr>
																											</tbody>
																										</table>
																									</xsl:if>
																								</xsl:for-each>
																							</xsl:for-each>
																						</xsl:for-each>
																					</xsl:for-each>
																				</xsl:for-each>
																			</xsl:for-each>
																		</xsl:for-each>
																	</td>
																</xsl:for-each>
															</tr>
															<tr>
																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																	<span style="color:green; font-weight:bold; ">Cell Geometry</span>
																</td>
																<xsl:for-each select="../iso19115:MD_SpatialRepresentation">
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																		<xsl:for-each select="cellGeometry">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</td>
																</xsl:for-each>
															</tr>
															<tr>
																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center">
																	<span style="color:green; font-weight:bold; ">Transformation Parameter Available -</span>
																</td>
																<xsl:for-each select="../iso19115:MD_SpatialRepresentation">
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																		<xsl:for-each select="transformationParameterAvailability">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</td>
																</xsl:for-each>
															</tr>
														</tbody>
													</table>
												</xsl:if>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
											<span style="color:green; font-weight:bold; ">Extents</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" colspan="6" width="200">
											<span style="color:green; font-weight:bold; ">Geographic</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="150">
											<span style="color:green; font-weight:bold; ">Temporal</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="150">
											<span style="color:green; font-weight:bold; ">Vertical</span>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100"/>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" colspan="6" width="200">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="extent">
													<xsl:if test="position()=1">
														<table border="1" table-layout="fixed" width="200">
															<tbody>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="75">
																		<span style="color:green; font-weight:bold; ">Geographic Identifier</span>
																	</td>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="125">
																		<span style="color:green; font-weight:bold; ">Inclusive - (</span>
																		<xsl:for-each select="iso19115:EX_GeographicExtent">
																			<xsl:for-each select="extentTypeCode">
																				<xsl:apply-templates/>
																			</xsl:for-each>
																		</xsl:for-each>
																		<span style="color:green; font-weight:bold; ">) </span>
																		<xsl:for-each select="iso19115:EX_GeographicExtent">
																			<xsl:for-each select="geographicIdentifier">
																				<xsl:for-each select="code">
																					<xsl:apply-templates/>
																				</xsl:for-each>
																			</xsl:for-each>
																		</xsl:for-each>
																	</td>
																</tr>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="75">
																		<span style="color:green; font-weight:bold; ">Geographic Box</span>
																	</td>
																	<xsl:for-each select="../extent">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="125">
																			<xsl:for-each select="iso19115:EX_GeographicExtent">
																				<xsl:if test="position()=1">
																					<table border="1">
																						<tbody>
																							<tr>
																								<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																									<span style="color:green; font-weight:bold; ">Inclusive</span>
																								</td>
																								<xsl:for-each select="../iso19115:EX_GeographicExtent">
																									<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																										<xsl:for-each select="extentTypeCode">
																											<xsl:apply-templates/>
																										</xsl:for-each>
																									</td>
																								</xsl:for-each>
																							</tr>
																							<tr>
																								<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; "/>
																								<xsl:for-each select="../iso19115:EX_GeographicExtent">
																									<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																										<xsl:for-each select="westBoundLongitude">
																											<xsl:apply-templates/>
																										</xsl:for-each>
																									</td>
																								</xsl:for-each>
																							</tr>
																							<tr>
																								<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; "/>
																								<xsl:for-each select="../iso19115:EX_GeographicExtent">
																									<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																										<xsl:for-each select="eastBoundLongitude">
																											<xsl:apply-templates/>
																										</xsl:for-each>
																									</td>
																								</xsl:for-each>
																							</tr>
																							<tr>
																								<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; "/>
																								<xsl:for-each select="../iso19115:EX_GeographicExtent">
																									<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																										<xsl:for-each select="southBoundLatitude">
																											<xsl:apply-templates/>
																										</xsl:for-each>
																									</td>
																								</xsl:for-each>
																							</tr>
																							<tr>
																								<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; "/>
																								<xsl:for-each select="../iso19115:EX_GeographicExtent">
																									<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																										<xsl:for-each select="northBoundLatitude">
																											<xsl:apply-templates/>
																										</xsl:for-each>
																									</td>
																								</xsl:for-each>
																							</tr>
																						</tbody>
																					</table>
																				</xsl:if>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																		<span style="color:green; font-weight:bold; ">Polygon</span>
																	</td>
																	<xsl:for-each select="../extent">
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="125">
																			<span style="color:green; font-weight:bold; ">Inclusive - (</span>
																			<xsl:for-each select="iso19115:EX_GeographicExtent">
																				<xsl:for-each select="extentTypeCode">
																					<xsl:apply-templates/>
																				</xsl:for-each>
																			</xsl:for-each>
																			<span style="color:green; font-weight:bold; ">)</span>&#160; <xsl:for-each select="iso19115:EX_GeographicExtent">
																				<xsl:for-each select="polygon">
																					<xsl:apply-templates/>
																				</xsl:for-each>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
															</tbody>
														</table>
													</xsl:if>
												</xsl:for-each>
											</xsl:for-each>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="150">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="extent">
													<xsl:for-each select="temporalElement">
														<xsl:for-each select="extent">
															<xsl:if test="position()=1">
																<table border="1" table-layout="fixed" width="150">
																	<tbody>
																		<tr>
																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="50">
																				<span style="color:green; font-weight:bold; ">Start</span>
																			</td>
																			<xsl:for-each select="../extent">
																				<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																					<xsl:for-each select="beginEnd">
																						<xsl:for-each select="begin">
																							<xsl:apply-templates/>
																						</xsl:for-each>
																					</xsl:for-each>
																				</td>
																			</xsl:for-each>
																		</tr>
																		<tr>
																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="50">
																				<span style="color:green; font-weight:bold; ">End</span>
																			</td>
																			<xsl:for-each select="../extent">
																				<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																					<xsl:for-each select="beginEnd">
																						<xsl:for-each select="end">
																							<xsl:apply-templates/>
																						</xsl:for-each>
																					</xsl:for-each>
																				</td>
																			</xsl:for-each>
																		</tr>
																	</tbody>
																</table>
															</xsl:if>
														</xsl:for-each>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="150">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="extent">
													<xsl:for-each select="verticalElement">
														<xsl:if test="position()=1">
															<table border="1" table-layout="fixed" width="150">
																<tbody>
																	<tr>
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																			<span style="color:green; font-weight:bold; ">Minimum</span>
																		</td>
																		<xsl:for-each select="../verticalElement">
																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																				<xsl:for-each select="minimumValue">
																					<xsl:apply-templates/>
																				</xsl:for-each>
																			</td>
																		</xsl:for-each>
																	</tr>
																	<tr>
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																			<span style="color:green; font-weight:bold; ">Maximum</span>
																		</td>
																		<xsl:for-each select="../verticalElement">
																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																				<xsl:for-each select="maximumValue">
																					<xsl:apply-templates/>
																				</xsl:for-each>
																			</td>
																		</xsl:for-each>
																	</tr>
																	<tr>
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																			<span style="color:green; font-weight:bold; ">Units</span>
																		</td>
																		<xsl:for-each select="../verticalElement">
																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																				<xsl:for-each select="unitOfMeasure">
																					<xsl:apply-templates/>
																				</xsl:for-each>
																			</td>
																		</xsl:for-each>
																	</tr>
																	<tr>
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																			<span style="color:green; font-weight:bold; ">Datum</span>
																		</td>
																		<xsl:for-each select="../verticalElement">
																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																				<xsl:for-each select="verticalDatum">
																					<xsl:for-each select="datumID">
																						<xsl:for-each select="nzHtDatum">
																							<xsl:for-each select="NZ_HeightDatums_CodeList">
																								<xsl:apply-templates/>
																							</xsl:for-each>
																						</xsl:for-each>
																					</xsl:for-each>
																				</xsl:for-each>
																			</td>
																		</xsl:for-each>
																	</tr>
																</tbody>
															</table>
														</xsl:if>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
								</tbody>
							</table>
							<a>
								<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#Top</xsl:text></xsl:attribute>
								<span style="font-family:Arial; font-size:8 pt; ">(top)</span>
							</a>
							<br/>
							<br/>
							<a>
								<xsl:attribute name="name"><xsl:text disable-output-escaping="yes">Data Characteristics Module</xsl:text></xsl:attribute>
								<span style="color:#FF8040; font-family:Arial; font-weight:bold; ">Data Characteristics Module</span>
							</a>
							<br/>
							<span style="background-color:green; color:#FF8040; ">&#160;</span>
							<xsl:for-each select="iso19115:MD_Identification">
								<span style="background-color:green; color:#FF8040; ">
									<xsl:for-each select="citation">
										<xsl:for-each select="title">
											<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">
												<xsl:apply-templates/>
											</span>
										</xsl:for-each>
									</xsl:for-each>
								</span>
							</xsl:for-each>
							<span style="background-color:green; color:#FF8040; ">&#160; (</span>
							<xsl:for-each select="iso19115:MD_Identification">
								<span style="background-color:green; color:#FF8040; ">
									<xsl:for-each select="citation">
										<xsl:for-each select="date">
											<xsl:for-each select="date">
												<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold; ">
													<xsl:apply-templates/>
												</span>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:for-each>
								</span>
							</xsl:for-each>
							<span style="background-color:green; color:#FF8040; ">)</span>
							<br/>
							<br/>
							<table border="1" table-layout="fixed" width="600">
								<tbody>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" colspan="3" width="100">
											<span style="color:green; font-weight:bold; ">Data Quality</span>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="right" rowspan="" width="100"/>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500"/>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="right" width="100">
											<span style="color:green; font-weight:bold; ">Scope</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="dataQualityInfo">
												<xsl:for-each select="scope">
													<xsl:for-each select="level">
														<xsl:for-each select="MD_ScopeCode_CodeList">
															<xsl:apply-templates/>
														</xsl:for-each>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="right" width="100">
											<span style="color:green; font-weight:bold; ">Lineage</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="dataQualityInfo">
												<xsl:for-each select="lineage">
													<xsl:for-each select="statement">
														<xsl:apply-templates/>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="right" width="100">
											<span style="color:green; font-weight:bold; ">Source(s)</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="dataQualityInfo">
												<xsl:for-each select="lineage">
													<xsl:for-each select="source">
														<xsl:if test="position()=1">
															<table border="1" table-layout="fixed" width="500">
																<thead>
																	<tr>
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="100">
																			<span style="color:green; font-weight:bold; ">Title</span>
																		</td>
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="100">
																			<span style="color:green; font-weight:bold; ">Reference System</span>
																		</td>
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="100">
																			<span style="color:green; font-weight:bold; ">Scale</span>
																		</td>
																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="200">
																			<span style="color:green; font-weight:bold; ">Extent</span>
																		</td>
																	</tr>
																</thead>
																<tbody>
																	<xsl:for-each select="../source">
																		<tr>
																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																				<xsl:for-each select="sourceCitation">
																					<xsl:for-each select="title">
																						<xsl:apply-templates/>
																					</xsl:for-each>
																				</xsl:for-each>
																			</td>
																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																				<xsl:for-each select="sourceReferenceSystem">
																					<xsl:apply-templates/>
																				</xsl:for-each>
																			</td>
																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="100">
																				<xsl:for-each select="scaleDenominator">
																					<xsl:for-each select="denominator">
																						<xsl:apply-templates/>
																					</xsl:for-each>
																				</xsl:for-each>
																			</td>
																			<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="200">
																				<xsl:for-each select="sourceExtent">
																					<xsl:if test="position()=1">
																						<table border="1" table-layout="fixed" width="200">
																							<tbody>
																								<tr>
																									<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																										<span style="color:green; font-weight:bold; ">Vertical</span>
																									</td>
																									<xsl:for-each select="../sourceExtent">
																										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																											<xsl:for-each select="verticalElement">
																												<xsl:if test="position()=1">
																													<table border="0" table-layout="fixed" width="125">
																														<thead>
																															<tr>
																																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="25">
																																	<span style="color:green; font-weight:bold; ">Units</span>
																																</td>
																																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="50">
																																	<span style="color:green; font-weight:bold; ">Datum</span>
																																</td>
																																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="25">
																																	<span style="color:green; font-weight:bold; ">Min.</span>
																																</td>
																																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="25">
																																	<span style="color:green; font-weight:bold; ">Max.</span>
																																</td>
																															</tr>
																														</thead>
																														<tbody>
																															<xsl:for-each select="../verticalElement">
																																<tr>
																																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="25">
																																		<xsl:for-each select="unitOfMeasure">
																																			<xsl:apply-templates/>
																																		</xsl:for-each>
																																	</td>
																																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="50">
																																		<xsl:for-each select="verticalDatum">
																																			<xsl:apply-templates/>
																																		</xsl:for-each>
																																	</td>
																																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="25">
																																		<xsl:for-each select="minimumValue">
																																			<xsl:apply-templates/>
																																		</xsl:for-each>
																																	</td>
																																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="25">
																																		<xsl:for-each select="maximumValue">
																																			<xsl:apply-templates/>
																																		</xsl:for-each>
																																	</td>
																																</tr>
																															</xsl:for-each>
																														</tbody>
																													</table>
																												</xsl:if>
																											</xsl:for-each>
																										</td>
																									</xsl:for-each>
																								</tr>
																								<tr>
																									<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																										<span style="color:green; font-weight:bold; ">Temporal</span>
																									</td>
																									<xsl:for-each select="../sourceExtent">
																										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																											<xsl:for-each select="temporalElement">
																												<xsl:for-each select="extent">
																													<xsl:if test="position()=1">
																														<table border="0" table-layout="fixed" width="125">
																															<thead>
																																<tr>
																																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="62.5">
																																		<span style="color:green; font-weight:bold; ">Start</span>
																																	</td>
																																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="62.5">
																																		<span style="color:green; font-weight:bold; ">End</span>
																																	</td>
																																</tr>
																															</thead>
																															<tbody>
																																<xsl:for-each select="../extent">
																																	<tr>
																																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="62.5">
																																			<xsl:for-each select="beginEnd">
																																				<xsl:for-each select="begin">
																																					<xsl:apply-templates/>
																																				</xsl:for-each>
																																			</xsl:for-each>
																																		</td>
																																		<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="62.5">
																																			<xsl:for-each select="beginEnd">
																																				<xsl:for-each select="end">
																																					<xsl:apply-templates/>
																																				</xsl:for-each>
																																			</xsl:for-each>
																																		</td>
																																	</tr>
																																</xsl:for-each>
																															</tbody>
																														</table>
																													</xsl:if>
																												</xsl:for-each>
																											</xsl:for-each>
																										</td>
																									</xsl:for-each>
																								</tr>
																								<tr>
																									<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																										<span style="color:green; font-weight:bold; ">Geographic</span>
																									</td>
																									<xsl:for-each select="../sourceExtent">
																										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																											<xsl:for-each select="iso19115:EX_GeographicExtent">
																												<xsl:if test="position()=1">
																													<table border="0" table-layout="fixed" width="125">
																														<thead>
																															<tr>
																																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="50">
																																	<span style="color:green; font-weight:bold; ">Inclusive</span>
																																</td>
																																<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="center" width="75">
																																	<span style="color:green; font-weight:bold; ">Identifier</span>
																																</td>
																															</tr>
																														</thead>
																														<tbody>
																															<xsl:for-each select="../iso19115:EX_GeographicExtent">
																																<tr>
																																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="50">
																																		<xsl:for-each select="extentTypeCode">
																																			<xsl:apply-templates/>
																																		</xsl:for-each>
																																	</td>
																																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " width="75">
																																		<xsl:for-each select="geographicIdentifier">
																																			<xsl:apply-templates/>
																																		</xsl:for-each>
																																	</td>
																																</tr>
																															</xsl:for-each>
																														</tbody>
																													</table>
																												</xsl:if>
																											</xsl:for-each>
																										</td>
																									</xsl:for-each>
																								</tr>
																							</tbody>
																						</table>
																					</xsl:if>
																				</xsl:for-each>
																			</td>
																		</tr>
																	</xsl:for-each>
																</tbody>
															</table>
														</xsl:if>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="right" width="100">
											<span style="color:green; font-weight:bold; ">Process Steps</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-align:left; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="dataQualityInfo">
												<xsl:for-each select="lineage">
													<xsl:for-each select="processStep">
														<xsl:if test="position()=1">
															<table border="1">
																<thead>
																	<tr>
																		<td style="font-family:Arial; font-size:8 pt; text-align:left; text-indent:0.1 cm; " align="center">
																			<span style="color:green; font-weight:bold; ">Description</span>
																		</td>
																		<td style="font-family:Arial; font-size:8 pt; text-align:left; text-indent:0.1 cm; " align="center">
																			<span style="color:green; font-weight:bold; ">Rationale</span>
																		</td>
																		<td style="font-family:Arial; font-size:8 pt; text-align:left; text-indent:0.1 cm; " align="center">
																			<span style="color:green; font-weight:bold; ">Date</span>
																		</td>
																		<td style="font-family:Arial; font-size:8 pt; text-align:left; text-indent:0.1 cm; " align="center">
																			<span style="color:green; font-weight:bold; ">Processor</span>
																		</td>
																	</tr>
																</thead>
																<tbody>
																	<xsl:for-each select="../processStep">
																		<tr>
																			<td style="font-family:Arial; font-size:8 pt; text-align:left; text-indent:0.1 cm; ">
																				<xsl:for-each select="description">
																					<xsl:apply-templates/>
																				</xsl:for-each>
																			</td>
																			<td style="font-family:Arial; font-size:8 pt; text-align:left; text-indent:0.1 cm; ">
																				<xsl:for-each select="rationale">
																					<xsl:apply-templates/>
																				</xsl:for-each>
																			</td>
																			<td style="font-family:Arial; font-size:8 pt; text-align:left; text-indent:0.1 cm; ">
																				<xsl:for-each select="dateTime">
																					<xsl:apply-templates/>
																				</xsl:for-each>
																			</td>
																			<td style="font-family:Arial; font-size:8 pt; text-align:left; text-indent:0.1 cm; ">
																				<xsl:for-each select="processor">
																					<xsl:for-each select="organisationName">
																						<xsl:apply-templates/>
																					</xsl:for-each>
																				</xsl:for-each>
																			</td>
																		</tr>
																	</xsl:for-each>
																</tbody>
															</table>
														</xsl:if>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
									<tr>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " align="left" width="100">
											<span style="color:green; font-weight:bold; ">Constraints</span>
										</td>
										<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; " colspan="2" width="500">
											<xsl:for-each select="iso19115:MD_Identification">
												<xsl:for-each select="resourceConstraints">
													<xsl:if test="position()=1">
														<table border="1">
															<tbody>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																		<span style="color:green; font-weight:bold; ">Use Limitations</span>
																	</td>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																		<xsl:for-each select="useLimitation">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</td>
																</tr>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																		<span style="color:green; font-weight:bold; ">Use Constraints</span>
																	</td>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																		<xsl:for-each select="useConstraints">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</td>
																</tr>
																<tr>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																		<span style="color:green; font-weight:bold; ">Other</span>
																	</td>
																	<td style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm; ">
																		<xsl:for-each select="otherConstraints">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</td>
																</tr>
															</tbody>
														</table>
													</xsl:if>
												</xsl:for-each>
											</xsl:for-each>
										</td>
									</tr>
								</tbody>
							</table>
							<a>
								<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#Top</xsl:text></xsl:attribute>
								<span style="font-family:Arial; font-size:8 pt; ">(top)</span>
							</a>
							<br/>
							<br/>
						</xsl:for-each>
					</xsl:for-each>
				</xsl:for-each>
				<br/>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
