<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSPY v5 rel. 4 U (http://www.xmlspy.com) by Neil Pullar (private) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gml="http://www.opengis.net/gml" xmlns:iso19103="http://www.isotc211.org/iso19103/" xmlns:iso19109="http://www.isotc211.org/iso19109/" xmlns:iso19115="http://www.isotc211.org/iso19115/" xmlns:iso19118="http://www.isotc211.org/iso19118/" xmlns:iso4217="http://www.isotc211.org/iso4217/" xmlns:iso639-2="http://www.isotc211.org/iso639-2/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:template match="/">
		<html>
			<head/>
			<body>
				<a>
					<xsl:attribute name="name"><xsl:text disable-output-escaping="yes">Top</xsl:text></xsl:attribute>
				</a>
				<xsl:for-each select="iso19118:GI">
					<xsl:for-each select="dataset">
						<xsl:for-each select="MD_Metadata">
							<br/>
							<xsl:for-each select="iso19115:MD_Identification">
								<xsl:for-each select="citation">
									<xsl:for-each select="title">
										<span style="color:green; font-family:Arial; font-size:14 pt; font-weight:bolder">
											<xsl:apply-templates/>
										</span>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:for-each>
							<br/>
							<br/>
							<br/>
							<span style="color:green; font-family:Arial; font-size:12 pt; font-weight:bold">NZ Government </span>
							<span style="color:green; font-family:Arial; font-size:12 pt; font-weight:bold">Geospatial Metadata:</span>
							<br/>
							<a>
								<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#Metadata Identification Module</xsl:text></xsl:attribute>
							</a>
							<br/>
							<span style="border-bottom-style:double; font-family:Arial; font-size:8 pt; height:36 pt">The New Zealand Government Geospatial Metadata Standard is a profile of ISO 19115 Geographic Information - Metadata standard.</span>
							<br/>
							<br/>
							<ul/>
							<ul/>
							<a>
								<xsl:attribute name="name"><xsl:text disable-output-escaping="yes">Metadata Identification Module</xsl:text></xsl:attribute>
								<span style="color:#FF8040; font-family:Arial; font-weight:bold">NZGLS View</span>
							</a>
							<br/>
							<xsl:for-each select="iso19115:MD_Identification">
								<xsl:for-each select="citation">
									<xsl:for-each select="title">
										<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold">
											<xsl:apply-templates/>
										</span>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:for-each>
							<span style="background-color:green">&#160;</span>
							<span style="background-color:green; color:#FF8040">(</span>
							<xsl:for-each select="iso19115:MD_Identification">
								<span style="background-color:green; color:#FF8040">
									<xsl:for-each select="citation">
										<xsl:for-each select="date">
											<xsl:for-each select="date">
												<span style="background-color:green; color:#FF8040; font-family:Arial; font-size:12 pt; font-weight:bold">
													<xsl:apply-templates/>
												</span>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:for-each>
								</span>
							</xsl:for-each>
							<span style="background-color:green; color:#FF8040">)</span>
							<br/>
							<br/>
							<table border="1" width="600">
								<xsl:if test="position()=1">
									<xsl:text disable-output-escaping="yes">&lt;tbody&gt;</xsl:text>
								</xsl:if>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:#FF8040; font-weight:bold">Creator</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="pointOfContact">
												<xsl:for-each select="organisationName">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Publisher</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="pointOfContact">
												<xsl:for-each select="organisationName">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Contributor</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="dataQualityInfo">
											<xsl:for-each select="lineage">
												<xsl:for-each select="processStep">
													<xsl:for-each select="processor">
														<xsl:if test="position()=1">
															<xsl:text disable-output-escaping="yes">&lt;table border="1"&gt;</xsl:text>
														</xsl:if>
														<xsl:if test="position()=1">
															<xsl:text disable-output-escaping="yes">&lt;tbody&gt;</xsl:text>
														</xsl:if>
														<tr>
															<td>
																<xsl:for-each select="organisationName">
																	<span style="font-size:8 pt">
																		<xsl:apply-templates/>
																	</span>
																</xsl:for-each>
															</td>
														</tr>
														<xsl:if test="position()=last()">
															<xsl:text disable-output-escaping="yes">&lt;/tbody&gt;</xsl:text>
														</xsl:if>
														<xsl:if test="position()=last()">
															<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
														</xsl:if>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Rights</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="resourceConstraints">
												<xsl:for-each select="otherConstraints">
													<span style="font-size:8 pt">
														<xsl:apply-templates/>
													</span>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:#FF8040; font-family:Arial; font-weight:bold">Title</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="citation">
												<xsl:for-each select="title">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:#FF8040; font-weight:bold">Function </span>
										<br/>
										<span style="color:#FF8040; font-weight:bold"> Subject</span>
										<br/>
										<br/>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="descriptiveKeywords">
												<xsl:if test="position()=1">
													<xsl:text disable-output-escaping="yes">&lt;table border="0" table-layout="fixed" width="400"&gt;</xsl:text>
												</xsl:if>
												<xsl:if test="position()=1">
													<xsl:text disable-output-escaping="yes">&lt;tbody&gt;</xsl:text>
												</xsl:if>
												<tr>
													<td width="300">
														<xsl:for-each select="keyword">
															<span style="font-size:8 pt">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>
													</td>
													<td width="100">
														<xsl:for-each select="thesaurusName">
															<span style="font-size:8 pt">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>
													</td>
												</tr>
												<xsl:if test="position()=last()">
													<xsl:text disable-output-escaping="yes">&lt;/tbody&gt;</xsl:text>
												</xsl:if>
												<xsl:if test="position()=last()">
													<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Description</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="purpose">
												<xsl:apply-templates/>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Source</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="dataQualityInfo">
											<xsl:for-each select="lineage">
												<xsl:for-each select="statement">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Language</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="language">
												<xsl:apply-templates/>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Coverage</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="extent">
												<xsl:for-each select="iso19115:EX_GeographicExtent">
													<xsl:for-each select="geographicIdentifier">
														<xsl:apply-templates/>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Date</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="citation">
												<xsl:for-each select="date">
													<xsl:for-each select="date">
														<xsl:apply-templates/>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:#FF8040; font-weight:bold">Type</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="topicCategory">
												<xsl:for-each select="MD_TopicCategoryCode_CodeList">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Format</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="resourceFormat">
												<xsl:apply-templates/>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:#FF8040; font-weight:bold">Identifier</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="distributionInfo">
											<xsl:for-each select="transferOptions">
												<xsl:for-each select="onLine">
													<xsl:for-each select="linkage">
														<xsl:apply-templates/>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Availability</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="distributionInfo">
											<xsl:for-each select="distributor">
												<xsl:for-each select="distributorContact">
													<xsl:for-each select="contactInfo">
														<xsl:if test="position()=1">
															<table border="1" table-layout="fixed" width="400">
																<xsl:if test="position()=1">
																	<xsl:text disable-output-escaping="yes">&lt;tbody&gt;</xsl:text>
																</xsl:if>
																<tr>
																	<td width="100">
																		<span style="color:green; font-size:8 pt; font-weight:bold">Phone</span>
																	</td>
																	<xsl:for-each select="../contactInfo">
																		<td width="300">
																			<xsl:for-each select="phone">
																				<xsl:if test="position()=1">
																					<table border="1">
																						<xsl:if test="position()=1">
																							<xsl:text disable-output-escaping="yes">&lt;tbody&gt;</xsl:text>
																						</xsl:if>
																						<tr>
																							<xsl:for-each select="../phone">
																								<td>
																									<xsl:for-each select="voice">
																										<span style="font-size:8 pt">
																											<xsl:apply-templates/>
																										</span>
																									</xsl:for-each>
																									<span style="font-size:8 pt"> (Voice)</span>
																								</td>
																							</xsl:for-each>
																						</tr>
																						<tr>
																							<xsl:for-each select="../phone">
																								<td>
																									<xsl:for-each select="facsimile">
																										<span style="font-size:8 pt">
																											<xsl:apply-templates/>
																										</span>
																									</xsl:for-each>&#160;<span style="font-size:8 pt">(Fax)</span>
																								</td>
																							</xsl:for-each>
																						</tr>
																						<xsl:if test="position()=last()">
																							<xsl:text disable-output-escaping="yes">&lt;/tbody&gt;</xsl:text>
																						</xsl:if>
																					</table>
																				</xsl:if>
																			</xsl:for-each>
																		</td>
																	</xsl:for-each>
																</tr>
																<tr>
																	<td width="100">
																		<span style="color:green; font-size:8 pt; font-weight:bold">Address</span>
																	</td>
																	<xsl:for-each select="../contactInfo">
																		<td width="300">
																			<xsl:for-each select="/">
																				<xsl:for-each select="iso19118:GI">
																					<xsl:for-each select="dataset">
																						<xsl:for-each select="MD_Metadata">
																							<xsl:for-each select="distributionInfo">
																								<xsl:for-each select="distributor">
																									<table border="1" table-layout="fixed" width="300">
																										<xsl:if test="position()=1">
																											<xsl:text disable-output-escaping="yes">&lt;tbody&gt;</xsl:text>
																										</xsl:if>
																										<tr>
																											<td>
																												<xsl:for-each select="/">
																													<xsl:for-each select="iso19118:GI">
																														<xsl:for-each select="dataset">
																															<xsl:for-each select="MD_Metadata">
																																<xsl:for-each select="distributionInfo">
																																	<xsl:for-each select="distributor">
																																		<xsl:for-each select="distributorContact">
																																			<xsl:for-each select="organisationName">
																																				<span style="font-size:8 pt">
																																					<xsl:apply-templates/>
																																				</span>
																																			</xsl:for-each>
																																		</xsl:for-each>
																																	</xsl:for-each>
																																</xsl:for-each>
																															</xsl:for-each>
																														</xsl:for-each>
																													</xsl:for-each>
																												</xsl:for-each>
																											</td>
																										</tr>
																										<tr>
																											<td>
																												<xsl:for-each select="/">
																													<xsl:for-each select="iso19118:GI">
																														<xsl:for-each select="dataset">
																															<xsl:for-each select="MD_Metadata">
																																<xsl:for-each select="distributionInfo">
																																	<xsl:for-each select="distributor">
																																		<xsl:for-each select="distributorContact">
																																			<xsl:for-each select="contactInfo">
																																				<xsl:for-each select="address">
																																					<xsl:for-each select="deliveryPoint">
																																						<span style="font-size:8 pt">
																																							<xsl:apply-templates/>
																																						</span>
																																					</xsl:for-each>
																																				</xsl:for-each>
																																			</xsl:for-each>
																																		</xsl:for-each>
																																	</xsl:for-each>
																																</xsl:for-each>
																															</xsl:for-each>
																														</xsl:for-each>
																													</xsl:for-each>
																												</xsl:for-each>
																											</td>
																										</tr>
																										<tr>
																											<td>
																												<xsl:for-each select="/">
																													<xsl:for-each select="iso19118:GI">
																														<xsl:for-each select="dataset">
																															<xsl:for-each select="MD_Metadata">
																																<xsl:for-each select="distributionInfo">
																																	<xsl:for-each select="distributor">
																																		<xsl:for-each select="distributorContact">
																																			<xsl:for-each select="contactInfo">
																																				<xsl:for-each select="address">
																																					<xsl:for-each select="city">
																																						<span style="font-size:8 pt">
																																							<xsl:apply-templates/>
																																						</span>
																																					</xsl:for-each>
																																				</xsl:for-each>
																																			</xsl:for-each>
																																		</xsl:for-each>
																																	</xsl:for-each>
																																</xsl:for-each>
																															</xsl:for-each>
																														</xsl:for-each>
																													</xsl:for-each>
																												</xsl:for-each>
																											</td>
																										</tr>
																										<tr>
																											<td>
																												<xsl:for-each select="/">
																													<xsl:for-each select="iso19118:GI">
																														<xsl:for-each select="dataset">
																															<xsl:for-each select="MD_Metadata">
																																<xsl:for-each select="distributionInfo">
																																	<xsl:for-each select="distributor">
																																		<xsl:for-each select="distributorContact">
																																			<xsl:for-each select="contactInfo">
																																				<xsl:for-each select="address">
																																					<xsl:for-each select="country">
																																						<span style="font-size:8 pt">
																																							<xsl:apply-templates/>
																																						</span>
																																					</xsl:for-each>
																																				</xsl:for-each>
																																			</xsl:for-each>
																																		</xsl:for-each>
																																	</xsl:for-each>
																																</xsl:for-each>
																															</xsl:for-each>
																														</xsl:for-each>
																													</xsl:for-each>
																												</xsl:for-each>
																											</td>
																										</tr>
																										<tr>
																											<td>
																												<xsl:for-each select="/">
																													<xsl:for-each select="iso19118:GI">
																														<xsl:for-each select="dataset">
																															<xsl:for-each select="MD_Metadata">
																																<xsl:for-each select="distributionInfo">
																																	<xsl:for-each select="distributor">
																																		<xsl:for-each select="distributorContact">
																																			<xsl:for-each select="contactInfo">
																																				<xsl:for-each select="address">
																																					<xsl:for-each select="electronicMailAddress">
																																						<span style="font-size:8 pt">
																																							<xsl:apply-templates/>
																																						</span>
																																					</xsl:for-each>
																																				</xsl:for-each>
																																			</xsl:for-each>
																																		</xsl:for-each>
																																	</xsl:for-each>
																																</xsl:for-each>
																															</xsl:for-each>
																														</xsl:for-each>
																													</xsl:for-each>
																												</xsl:for-each>
																											</td>
																										</tr>
																										<xsl:if test="position()=last()">
																											<xsl:text disable-output-escaping="yes">&lt;/tbody&gt;</xsl:text>
																										</xsl:if>
																									</table>
																								</xsl:for-each>
																							</xsl:for-each>
																						</xsl:for-each>
																					</xsl:for-each>
																				</xsl:for-each>
																			</xsl:for-each>
																			<br/>
																		</td>
																	</xsl:for-each>
																</tr>
																<xsl:if test="position()=last()">
																	<xsl:text disable-output-escaping="yes">&lt;/tbody&gt;</xsl:text>
																</xsl:if>
															</table>
														</xsl:if>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Audience</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="audience">
												<xsl:for-each select="NZ_Audience_CodeList">
													<xsl:apply-templates/>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<tr>
									<td width="100" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<span style="color:green; font-weight:bold">Mandate</span>
									</td>
									<td colspan="2" width="400" style="font-family:Arial; font-size:8 pt; text-indent:0.1 cm">
										<xsl:for-each select="iso19115:MD_Identification">
											<xsl:for-each select="resourceNzMandate">
												<xsl:if test="position()=1">
													<xsl:text disable-output-escaping="yes">&lt;table border="1" table-layout="fixed" width="400"&gt;</xsl:text>
												</xsl:if>
												<xsl:if test="position()=1">
													<xsl:text disable-output-escaping="yes">&lt;tbody&gt;</xsl:text>
												</xsl:if>
												<tr>
													<td width="300">
														<xsl:for-each select="reference">
															<span style="font-size:8 pt">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>
													</td>
													<td width="100"> (<xsl:for-each select="type">
															<span style="font-size:8 pt">
																<xsl:apply-templates/>
															</span>
														</xsl:for-each>)</td>
												</tr>
												<xsl:if test="position()=last()">
													<xsl:text disable-output-escaping="yes">&lt;/tbody&gt;</xsl:text>
												</xsl:if>
												<xsl:if test="position()=last()">
													<xsl:text disable-output-escaping="yes">&lt;/table&gt;</xsl:text>
												</xsl:if>
											</xsl:for-each>
										</xsl:for-each>
									</td>
								</tr>
								<xsl:if test="position()=last()">
									<xsl:text disable-output-escaping="yes">&lt;/tbody&gt;</xsl:text>
								</xsl:if>
							</table>
							<a>
								<xsl:attribute name="href"><xsl:text disable-output-escaping="yes">#Top</xsl:text></xsl:attribute>
								<span style="font-family:Arial; font-size:8 pt">(top)</span>
							</a>
							<br/>
							<a>
								<xsl:attribute name="name"><xsl:text disable-output-escaping="yes">Resource Identification Module</xsl:text></xsl:attribute>
							</a>
							<br/>
						</xsl:for-each>
					</xsl:for-each>
				</xsl:for-each>
				<br/>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
